name: Workflow B

on:
  push:
    paths:
      - marker_a

jobs:
  job_b:
    runs-on: ubuntu-latest
    steps:
      - name: Step 1 in Workflow B
        run: echo "Running Workflow B"
        
      - name: Create completion marker for Workflow B
        run: echo "done" > marker_b
      - name: Commit marker
        run: |
          git config user.name "Gitea CI"
          git config user.email "ci@example.com"
          git add marker_b
          git commit -m "Add completion marker for B"
          git push
